> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/user-statistics/get-distracted-phone-usage-statistics.md).

# Get Distracted Phone Usage statistics

```
/**
* Represents details info about Phone scoring.
*
* @param period  Statistics period. See also [StatisticPeriod]
*/
fun *getPhoneDetailStatistics(period: StatisticPeriod): PhoneDetails

```

**Response:**<br>

```
class PhoneDetails(
       /**
        * Phone Usage while driving scoring.
        * Range 0...100
        */
       val rating: Int,

       /**
        * Phone Usage while driving in min.
        */
       val phoneUse: Int,

       /**
        * Phone Usage while driving with speed > 20km/h in min.
        */
       val phoneUseOver20km: Int,

       /**
        * Phone Usage while driving diagram min/date.
        */
       val usingPhoneWhileDrivingDiagram: Array<DiagramEntity>?,

       /**
        * Phone Usage while driving with speed > 20km/h diagram min/date.
        */
       val usingPhoneWhileDrivingOverSpeedLimitDiagram: Array<DiagramEntity>?
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-android-app/user-statistics/get-distracted-phone-usage-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
